Bug 74450 - An extra underscores in vi with "set number"
An extra underscores in vi with "set number"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: vte (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-24 12:42 EDT by hjl
Modified: 2007-04-18 12:46 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-23 17:27:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description hjl 2002-09-24 12:42:49 EDT
When I use vi in gnome-terminal with "set number",
I get

______1

I believe it is a bug carried over from xterm, which
has been fixed in xterm since xterm works fine now.
Comment 1 Nalin Dahyabhai 2002-09-25 16:42:39 EDT
I'm not seeing it here with the current version.  Can you reproduce this with
the Raw Hide version of the vte package?
Comment 2 hjl 2002-10-01 16:38:02 EDT
Try

# /bin/vi
Comment 3 Nalin Dahyabhai 2002-10-14 21:43:39 EDT
The application is sending the control sequence to begin underlining, five or
six spaces, and then the number.  Unless terminals are supposed to avoid
underlining whitespace, this doesn't look like a bug.

XTerm on my system is using foreground color to indicate underlined text, so the
effect is just not visible.  I wasn't able to get XTerm to perform underlining
(even starting with the -ulc flag and running "tput smul"), but hanterm and
kterm both attempted to, and displayed the same behavior when I repeated the
test with vi.

I'm inclined to close this as notabug.
Comment 4 hjl 2002-10-15 00:05:03 EDT
It doesn't happen on the Linux console.
As I said, it was fixed in xterm a while
ago. All the problems on other terms you
see may be the similar bug fixed in xterm.
Even if you don't think it is a bug in vte,
do you think it is a bug in /bin/vi?
Comment 5 Nalin Dahyabhai 2002-10-17 20:40:55 EDT
Does the console implement underlining using color (which would be hidden when
drawing whitespace) or actual underlining?  If it's using color, then there's no
way to tell that it's not doing the same thing except by examining the sources.

I would consider this a bug in 'vi' if the underlining is not supposed to be
there.  groff handles this properly (for an example, see the underlined text in
the groff(1) man page in the "groff Macro Directory" section).
Comment 6 hjl 2002-10-18 13:29:58 EDT
I don't know where the bug is. I do know it
is a bug. I can change it to vim if you want.
Comment 7 Ray Strode [halfline] 2004-06-23 17:27:25 EDT
Regardless of which module the bug belonged to, it now seems to work,
fortunately.

Note You need to log in before you can comment on or make changes to this bug.